Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
PersonalizeCloud Portal
Sitecore Personalize developer documentation
  • 開発Sitecore Personalize
    • ベースURL
    • レスポンスコード
        • 意思決定モデルバリアントの作成
        • ディシジョンモデルバリアントの取得
        • 意思決定モデルバリアントの更新
        • デシジョンモデルバリアントのリビジョンの取得
        • デシジョンモデルバリアントのリビジョンの取得
  1. 意思決定モデルバリアントREST API
  1. REST API
  2. 意思決定モデルバリアントREST API
  3. ディシジョンモデルバリアントの取得

ディシジョンモデルバリアントの取得

日本語翻訳に関する免責事項

このページの翻訳はAIによって自動的に行われました。可能な限り正確な翻訳を心掛けていますが、原文と異なる表現や解釈が含まれる場合があります。正確で公式な情報については、必ず英語の原文をご参照ください。

GET /v2/decisionModelVariants/{:placeholder-token:}<decisionModelVariantRef>{/:placeholder-token:}

ディシジョン・モデル・バリアントを取得します。

属性

種類

形容

例

{:placeholder-token:}decisionModelVariantRef{/:placeholder-token:}

糸

ディシジョンモデルバリアントの参照。

意思決定モデル・バリアント参照がわからない場合は、まず 意思決定モデル・バリアントを取得します。

c682b6b6-934b-415b-bc46-ce6184809156

curl -X GET '<baseURL>/v2/decisionModelVariants/c682b6b6-934b-415b-bc46-ce6184809156' \
-H 'Authorization: Bearer <accessToken>' \
-H 'Accept: application/json'
{
   "clientKey":"pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
   "href":"<baseURL>/v2/decisionModelVariants/c682b6b6-934b-415b-bc46-ce6184809156",
   "ref":"c682b6b6-934b-415b-bc46-ce6184809156",
   "name":"Production Variant",
   "modifiedByRef":"c008c81d-4941-46aa-b4e6-a17e8388498a",
   "modifiedAt":"2025-10-04T23:30:40.516Z",
   "revision":1,
   "archived":false,
   "decisionModelDefinitionRef":"9c9ca46b-e887-43fe-9d84-f49604f5172d",
   "definition":"<definitions xmlns=\"http://www.omg.org/spec/DMN/20151101/dmn.xsd\" xmlns:biodi=\"http://bpmn.io/schema/dmn/biodi/1.0\"\n             xmlns:camunda=\"http://camunda.org/schema/1.0/dmn\" namespace=\"http://camunda.org/schema/1.0/dmn\"\n             name=\"definitions\" id=\"definitions\">\n    <decision id=\"dfa36fbb-7dd4-47ce-a262-d3865aded01f\" name=\"Offers\">\n        <extensionElements>\n            <biodi:bounds x=\"1700\" y=\"1100\" width=\"300\" height=\"100\"/>\n            <biodi:edge source=\"e0d63fed-ecc0-4d90-a883-acfe2ba2ac86\"/>\n            <biodi:edge source=\"bf908e60-3148-42c7-96b8-f463a2f5d0bd\"/>\n        </extensionElements>\n        <informationRequirement>\n            <requiredInput href=\"#bf908e60-3148-42c7-96b8-f463a2f5d0bd\"/>\n        </informationRequirement>\n        <authorityRequirement>\n            <requiredAuthority href=\"#e0d63fed-ecc0-4d90-a883-acfe2ba2ac86\"/>\n        </authorityRequirement>\n        <decisionTable hitPolicy=\"FIRST\">\n            <input id=\"string71927306\" label=\"type\" camunda:inputVariable=\"\">\n                <inputExpression typeRef=\"string\">\n                    <text>guest.guestType</text>\n                </inputExpression>\n            </input>\n            <output id=\"string52994586\" label=\"StuffToTake\" name=\"urOffer\" typeRef=\"com.sitecore.offer\"\n                    biodi:offerTemplateRef=\"39b94b1c-3e08-4757-bf6e-51a51f3af11b\"/>\n            <rule id=\"rule1537963738281\">\n                <inputEntry id=\"input1537963738293\">\n                    <text><![CDATA[\"visitor\"]]></text>\n                </inputEntry>\n                <outputEntry id=\"output1538577137135\">\n                    <text><![CDATA[\"938a3392-1a18-4872-844a-9ecd56f61bf0\"]]></text>\n                </outputEntry>\n            </rule>\n            <rule id=\"rule15385770263771\">\n                <inputEntry id=\"input1538577026377\">\n                    <text><![CDATA[\"customer\"]]></text>\n                </inputEntry>\n                <outputEntry id=\"output1538577026378\">\n                    <text><![CDATA[\"2ff198c2-caee-4ccd-ab89-99a18ead3b06\"]]></text>\n                </outputEntry>\n            </rule>\n            <rule id=\"rule1538510622664\">\n                <inputEntry id=\"input1538510622675\">\n                    <text><![CDATA[\"traveller\"]]></text>\n                </inputEntry>\n                <outputEntry id=\"output1538691920342\">\n                    <text><![CDATA[\"024c33ee-c74a-4b33-8050-7c2fccd4c776\"]]></text>\n                </outputEntry>\n            </rule>\n        </decisionTable>\n    </decision>\n    <inputData id=\"bf908e60-3148-42c7-96b8-f463a2f5d0bd\" name=\"Guest\">\n        <extensionElements>\n            <biodi:bounds x=\"2050\" y=\"900\" width=\"300\" height=\"100\"/>\n        </extensionElements>\n    </inputData>\n    <knowledgeSource id=\"e0d63fed-ecc0-4d90-a883-acfe2ba2ac86\" name=\"Offers\">\n        <extensionElements>\n            <biodi:bounds x=\"1200\" y=\"1100\" width=\"300\" height=\"100\"/>\n        </extensionElements>\n    </knowledgeSource>\n</definitions>",
   "revisions":{
      "href":"<baseURL>/v2/decisionModelVariants/c682b6b6-934b-415b-bc46-ce6184809156/revisions"
   },
   "decisionModelDefinition":{
      "href":"<baseURL>/v2/decisionModelDefinitions/9c9ca46b-e887-43fe-9d84-f49604f5172d"
   },
   "templateVariables": {},
   "offers":[
      "938a3392-1a18-4872-844a-9ecd56f61bf0",
      "2ff198c2-caee-4ccd-ab89-99a18ead3b06",
      "024c33ee-c74a-4b33-8050-7c2fccd4c776"
   ],
   "inProduction":true
}
この記事を改善するための提案がある場合は、 お知らせください!

Documentation Assistant

This assistant uses AI to generate responses based on Sitecore documentation. While it has access to official sources, answers may be incomplete or inaccurate and should not be considered official advice or support.
Powered by
k
kapa.ai
Protected by reCAPTCHA

© Copyright 2026, Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use